Nutzen von Spine Dateien

  • #1, by fabian-schempp-24590Sunday, 29. September, 12:08 2 weeks ago
    Hallo,

    ich würde gerne Spine dateien in Visionaire nutzen.
    Ich habe die Beispiel-Dateien "Spineboy","Hero", "Mix-And-Match" ausprobiert.
     
    Ich habe die Projekte jeweils im JSON format exportiert und die JSON  Datei in dem Bereich "Spine files" hinzugefügt.

    Wenn ich dann eine Animation auswählen will z.B. "Walk animations" -> "front" dann stürtzt das Programm einfach ab.

    Weiß jemand, bzw. gibt es eine Dokumentation welche Version von Spine und welche Features unterstützt werden (Essential / Pro, IK?, Meshes?)?

    Newbie

    4 Posts


  • #2, by SimonSSunday, 29. September, 12:09 2 weeks ago
    Welche Visionaire Version nutzt du ?

    Thread Captain

    1209 Posts

  • #3, by fabian-schempp-24590Sunday, 29. September, 12:43 2 weeks ago
    Ich benutze Visionaire Studio 5.0.9 (1203) Indie Multi-User Lizenz

    und Spine Pro 3.8.72

    Newbie

    4 Posts

  • #4, by fabian-schemppMonday, 30. September, 10:55 2 weeks ago
    Welche Visionaire Version nutzt du ?
    Hast du dazu, irgendwelche Informationen dazu?
    Ist es ein Bug? oder muss man darauf Achten nur bestimmte Features von Spine zu nutzen.

    Newbie

    11 Posts

  • #5, by SimonSMonday, 30. September, 10:58 2 weeks ago
    Die Spinelib ist jedenfalls ein Jahr alt aktuell, ich kann das für den nächsten Build nochmal updaten, aber die Programmierer von Spine interessieren sich nicht besonders für Kompatiblität. Vermutlich crasht es weil die Version davon zu alt ist.

    Thread Captain

    1209 Posts

  • #6, by fabian-schemppMonday, 30. September, 11:42 2 weeks ago
    Die Spinelib ist jedenfalls ein Jahr alt aktuell, ich kann das für den nächsten Build nochmal updaten, aber die Programmierer von Spine interessieren sich nicht besonders für Kompatiblität. Vermutlich crasht es weil die Version davon zu alt ist.

    Danke, dann liegt es vermutlich daran.
    Das wäre Mega, wenn du die Bibliothek updaten könntest. 
    Ich guck trotzdem mal ob es die Möglichkeit gibt eine ältere Version von Spine runter zu laden.

    Ich verstehe sehr gut, dass es für andere Entwickler lästig ist, wenn jemand nicht auf Kompatibilität achtet, aber andererseits ist es ja gut wenn das Programm weiterentwickelt wird. 

    Es wäre schön, wenn es in Visionaire eine Prüfung beim Laden der Dateien geben würde, die mir sagt, dass irgendwas mit der Datei nicht stimmt. 

    Das gleiche wäre schön bei den 3D-Dateien, bei denen ich sehr verwirrend fand, dass ich einfach jeden Dateityp auswählen kann und selbst bei denen, die "unterstützt" werden funktionieren wohl nur welche mit speziellen Einstellungen.
    Eine kleine Einschränkung, Warnung oder Kommentar seitens des Programms wäre da hiflreich.

    Trotzdem, ich mag Visionarie. Ich weiß dass unendlich viel Arbeit darin steckt und der Preis unfassbar günstig ist.

    Wenn es Open Source wäre, dann würde ich einfach selbst ein paar Patches schreiben für die entsprechenden stellen.

    Newbie

    11 Posts

  • #7, by LebosteinWednesday, 02. October, 21:52 2 weeks ago
    Diesen Fehler habe ich vor über einem Jahr schon gemeldet, leider hat sich beim Visionaire-Team bisher niemand darum gekümmert... Ich hatte auch schon mal darum gebeten, ein Spine-File (welches laut Entwickler funktioniert) mal zum Testen bereitzustellen. Mit irgendwelchen Animationen muss das ja mal getestet worden sein. Das wäre super. Danke!

    Key Killer

    591 Posts

  • #8, by fabian-schemppThursday, 03. October, 09:17 A week ago
    Diesen Fehler habe ich vor über einem Jahr schon gemeldet, leider hat sich beim Visionaire-Team bisher niemand darum gekümmert... Ich hatte auch schon mal darum gebeten, ein Spine-File (welches laut Entwickler funktioniert) mal zum Testen bereitzustellen. Mit irgendwelchen Animationen muss das ja mal getestet worden sein. Das wäre super. Danke!
    Ja, eine funktionierende Spine-Datei zum testen wäre gut (das gleiche bitte auch für 3D-Character).  @SimonS Wäre das möglich? 

    Ich habe herausgefunden, dass man in Spine die Version per Dropdown einstellen kann. Jetzt müsste ich nur wissen, was die letzte funktionierende Version war. Hat jemand eine idee?

    Newbie

    11 Posts

  • #9, by SimonSThursday, 03. October, 09:37 A week ago
    Ich kann die benutzten Dateien wegen des damit verbundenen Urheberrechts leider nicht teilen, aber der Spineboy von damals geht auf jeden Fall. Der Checkout ist vom 27.9.2018, müsste also 3.6 oder 3.7 sein.

    Thread Captain

    1209 Posts

  • #10, by fabian-schemppThursday, 03. October, 16:51 A week ago
    Ich kann die benutzten Dateien wegen des damit verbundenen Urheberrechts leider nicht teilen, aber der Spineboy von damals geht auf jeden Fall. Der Checkout ist vom 27.9.2018, müsste also 3.6 oder 3.7 sein.

    Okay danke, ich teste das.

    Newbie

    11 Posts

  • #11, by LebosteinTuesday, 08. October, 18:10 A week ago
    Vor allem hat das ganze ja shcon mal reibungslos funktioniert. Ich habe mit Dragonbones mehrere Spine-Dateien exportiert, die alle reibungslos funktionierten. Nach einem Visionaire-Update jedoch hat keine der Dateien mehr funktioniert -> Crash

    Key Killer

    591 Posts

Write post